Page MenuHomePhabricator

in-tree binaries do not run using in-tree libraries during build
Closed, ResolvedPublic

Description

  1. revert rEFLbd5174b6003506b7c8aae3a58d7e83d931188dca
  2. configure and build --with-profile=debug
  3. install
  4. configure and build --with-profile=dev
  5. still get tons of DDD stringshare debug messages from installed libraries during build
zmike created this task.Feb 20 2018, 6:58 AM
zmike triaged this task as TODO priority.
zmike closed this task as Invalid.Feb 20 2018, 7:08 AM
This comment was removed by zmike.
This comment was removed by bu5hm4n.
zmike renamed this task from tests do not run using in-tree libraries to in-tree binaries do not run using in-tree libraries during build.Jun 14 2018, 9:15 AM
zmike reopened this task as Open.
zmike raised the priority of this task from TODO to High.
zmike updated the task description. (Show Details)

Note that tests actually do use in-tree libraries during make check, but no other binaries do.

zmike edited projects, added Restricted Project, efl (efl-1.21); removed efl.Jun 14 2018, 9:16 AM
q66 added a subscriber: q66.Jun 28 2018, 6:09 AM

I think this is currently not easily solvable using autotools. Perhaps setting LD_LIBRARY_PATH at the points when executables are being run would do the thing, but I'd say this is something to be addressed with switching to Meson.

bu5hm4n removed bu5hm4n as the assignee of this task.Jun 30 2018, 3:39 AM
bu5hm4n added a subscriber: bu5hm4n.
zmike added a comment.Jul 5 2018, 2:30 PM

The issue here was that efreetd was not being correctly launched from the in-tree wrapper script.

zmike claimed this task.Jul 5 2018, 2:30 PM